part of '../bmcommons.dart';

class StandardError {
  static String parse(e) {
    if (e is PlatformException) {
      switch (e.code) {
        case 'ERROR_WRONG_PASSWORD':
          return 'Invalid password. Please try again';
        case 'ERROR_EMAIL_ALREADY_IN_USE':
          return 'You\'re already registered. Please log in';
        default:
          return 'Unknown Platform Exception';
      }
    }

    return 'Unknown Error';
  }
}
